Subject: Re: bug#28472: 26.0.50; Deadlock in Fkill_emacs on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Sep 2017 14:28:45 +0300

> Date: Sat, 16 Sep 2017 14:15:51 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> Thanks.  I see nothing in this backtrace that could tell what to do to
> avoid the hang.  All the threads are stuck in system calls, two of
> then in WaitForSingleObject.  So it sounds like some race condition,
> but I have no idea what that could be.  FWIW, it never happened to me
> during a bootstrap.
> 
> It could be bug#14333, which we never solved.  But the backtraces
> there were more informative.

One possible way to gain more info is to add printf's in several
places in term_timers and in term_ntproc, and see what this tells us
about where Emacs gets stuck.  But make sure bootstrap commands don't
redirect stdout/stderr to some place, or you may not see the output.